org.openstreetmap.josm.plugins.streetside

## Class StreetsidePlugin

- java.lang.Object
- - org.openstreetmap.josm.plugins.Plugin
  - - org.openstreetmap.josm.plugins.streetside.StreetsidePlugin

- All Implemented Interfaces:
    org.openstreetmap.josm.gui.MapFrameListener

      public class StreetsidePlugin
      extends org.openstreetmap.josm.plugins.Plugin

  This is the main class of the Streetside plugin.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.openstreetmap.josm.tools.ImageProvider` | `LOGO`
    `private static StreetsideWalkAction` | `WALK_ACTION` Walk action
    `private static StreetsideZoomAction` | `ZOOM_ACTION` Zoom action

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StreetsidePlugin(org.openstreetmap.josm.plugins.PluginInformation info)` Main constructor.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.openstreetmap.josm.gui.MapView` | `getMapView()`
    `org.openstreetmap.josm.gui.preferences.PreferenceSetting` | `getPreferenceSetting()`
    `(package private) static StreetsideDataListener[]` | `getStreetsideDataListeners()`
    `static StreetsideWalkAction` | `getStreetsideWalkAction()`
    `void` | `mapFrameInitialized(org.openstreetmap.josm.gui.MapFrame oldFrame, org.openstreetmap.josm.gui.MapFrame newFrame)` Called when the JOSM map frame is created or destroyed.

    - ### Methods inherited from class org.openstreetmap.josm.plugins.Plugin

      `addDownloadSelection, copy, getPluginDir, getPluginDirs, getPluginInformation, getPluginResourceClassLoader, setPluginInformation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOGO

          public static final org.openstreetmap.josm.tools.ImageProvider LOGO

    - #### ZOOM_ACTION

          private static final StreetsideZoomAction ZOOM_ACTION

      Zoom action

    - #### WALK_ACTION

          private static final StreetsideWalkAction WALK_ACTION

      Walk action

  - ### Constructor Detail

    - #### StreetsidePlugin

          public StreetsidePlugin(org.openstreetmap.josm.plugins.PluginInformation info)

      Main constructor.
      Parameters:
        `info` - Required information of the plugin. Obtained from the jar file.

  - ### Method Detail

    - #### getStreetsideDataListeners

          static StreetsideDataListener[] getStreetsideDataListeners()

    - #### getStreetsideWalkAction

          public static StreetsideWalkAction getStreetsideWalkAction()

      Returns:
        the `StreetsideWalkAction` for the plugin

    - #### mapFrameInitialized

          public void mapFrameInitialized(org.openstreetmap.josm.gui.MapFrame oldFrame,
                                          org.openstreetmap.josm.gui.MapFrame newFrame)

      Called when the JOSM map frame is created or destroyed.
      Specified by:
        `mapFrameInitialized` in interface `org.openstreetmap.josm.gui.MapFrameListener`
      Overrides:
        `mapFrameInitialized` in class `org.openstreetmap.josm.plugins.Plugin`

    - #### getPreferenceSetting

          public org.openstreetmap.josm.gui.preferences.PreferenceSetting getPreferenceSetting()

      Overrides:
        `getPreferenceSetting` in class `org.openstreetmap.josm.plugins.Plugin`

    - #### getMapView

          public static org.openstreetmap.josm.gui.MapView getMapView()

      Returns:
        the current `MapView` without throwing a `NullPointerException`

JOSM Plugins